# HIGH

HIGH / LOW Example

Syntax: HIGH Pin

## Function

Make the specified pin an output and high.

- Pin is a variable/constant/expression (0 - 15) that specifies which I/O pin to set high. This pin will be placed into output mode.

* Note: expressions are not allowed as arguments on the BS1. The range of the Pin argument on the BS1 is 0–7.

## Quick Facts

| BS1 and all BS2 models
Related Commands | LOW, TOGGLE

## Explanation

The HIGH command sets the specified pin to 1 (a +5 volt level) and then sets its mode to output. For example:

      HIGH 6

...does exactly the same thing as:

      PIN6 = 1
      DIR6 = 1

      OUT6 = 1
      DIR6 = 1

Using the HIGH command is faster in this case.

Go to Welcome page

BASIC Stamp Help Version 2.5.4

Copyright © Parallax Inc.

8/8/2012